Filter themes by platform and Firefox version

RESOLVED WONTFIX

Status

addons.mozilla.org Graveyard
Public Pages
RESOLVED WONTFIX
6 years ago
2 years ago

People

(Reporter: Chas Belov, Unassigned)

Tracking

Details

(Reporter)

Description

6 years ago
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:9.0.1) Gecko/20100101 Firefox/9.0.1
Build ID: 20111220165912

Steps to reproduce:

Tools > Add-ons > Appearance > Get add-ons > See all themes and personas > Retro > Top rated, then cursor over themes that look interesting.


Actual results:

Most of the themes have the message "Not available for your platform" or "Not available for Firefox 9.0.1"


Expected results:

Only themes for Firefox 9.0.1 Mac show in the results.

Note: Search does allow filtering by 9.0 and Mac, but doesn't provide previews of themes, so it is not a suitable workaround, given the large number of themes to sort through.

Note: I took a guess on the version. How does one determine the version of addons.mozilla.org? (Separate bug)

Comment 1

6 years ago
I'd agree that being able to filter the normal AMO listing pages by OS compatibility. This would be helpful to users trying to find add-ons that are compatible with their Firefox and it would provide incentive to users to make their add-ons compatible with other OSes.
Status: UNCONFIRMED → NEW
Ever confirmed: true
Thanks for filing this.  Due to resource constraints we are closing bugs which we won't realistically be able to fix.  If you have a patch that applies to this bug please reopen.

For more info see http://micropipes.com/blog/2014/09/24/the-great-add-on-bug-triage/
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WONTFIX
(Assignee)

Updated

2 years ago
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.